| Flutter iOS Embedder |

Instance Methods | List of all members
ChildClippingView Class Reference

`#import <FlutterPlatformViews_Internal.h>`

Inheritance diagram for ChildClippingView:

## Instance Methods
(void) | - applyBlurBackdropFilters:
(NSMutableArray *) | - backdropFilterSubviews

## Detailed Description

Definition at line 183 of file FlutterPlatformViews.mm.

## Method Documentation

## ◆ applyBlurBackdropFilters:

- (void) applyBlurBackdropFilters: |  | (NSArray<PlatformViewFilter*>*) | filters |

Definition at line 179 of file FlutterPlatformViews.mm.

197 :(NSArray<PlatformViewFilter*>*)filters {
198 FML_DCHECK(self.filters.count == self.backdropFilterSubviews.count);
199 if (self.filters.count == 0 && filters.count == 0) {
200 return;
201 }
202 self.filters = filters;
203 NSUInteger index = 0;
204 for (index = 0; index < self.filters.count; index++) {
205 UIVisualEffectView* backdropFilterView;
206 PlatformViewFilter* filter = self.filters[index];
207 if (self.backdropFilterSubviews.count <= index) {
208 backdropFilterView = filter.backdropFilterView;
209 [self addSubview:backdropFilterView];
210 [self.backdropFilterSubviews addObject:backdropFilterView];
211 } else {
212 [filter updateVisualEffectView:self.backdropFilterSubviews[index]];
213 }
214 }
215 for (NSUInteger i = self.backdropFilterSubviews.count; i > index; i--) {
216 [self.backdropFilterSubviews[i - 1] removeFromSuperview];
217 [self.backdropFilterSubviews removeLastObject];
218 }
219 }
-[ChildClippingView backdropFilterSubviews]
NSMutableArray * backdropFilterSubviews()
Definition: FlutterPlatformViews.mm:221
PlatformViewFilter
Definition: FlutterPlatformViews.mm:91

## ◆ backdropFilterSubviews

- (NSMutableArray *) backdropFilterSubviews |  |  |

Definition at line 179 of file FlutterPlatformViews.mm.

221 {
222 if (!_backdropFilterSubviews) {
223 _backdropFilterSubviews = [[NSMutableArray alloc] init];
224 }
225 return _backdropFilterSubviews;
226 }

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews.mm
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h